1. Candidates
CVViZ API Documentation
  • Start here
    • Quickstart
    • Authentication & permissions
  • Guides
    • API concepts
    • Create a job
    • Find candidates and download resumes
    • Pagination & filtering
    • Rate limits & usage
    • Errors & troubleshooting
    • Safe retries & idempotency
  • Jobs
    • Create a job
      POST
    • List jobs
      GET
    • Get a job
      GET
    • Update a job
      PATCH
    • List candidates for a job
      GET
    • List job benchmark resumes
      GET
    • List candidate job offers
      GET
    • Update a candidate application stage
      PATCH
    • Update job status
      PATCH
  • Candidates
    • List candidates
      GET
    • Get a candidate
      GET
    • Update a candidate
      PATCH
    • List applications for a candidate
      GET
    • List candidate events
      GET
    • List candidate documents
      GET
    • Download a candidate resume
      GET
  • Tasks
    • List tasks
    • Create a task
    • Update a task
    • Update task completion
  • Notes & tags
    • List job notes
    • Add a job note
    • List tags for a job
    • Add tags to a job
    • List tags for a candidate
    • Add tags to a candidate
    • List candidate notes
    • Add a candidate note
    • List candidate tags
  • Screening & interviews
    • List job pre-screening questions
    • List candidate screening answers
    • List candidate interview feedback
  • Organization & lookup data
    • List candidate stages for a job
    • Get job creation options
    • List industries
    • List job functions
    • List employer types
    • List client companies
    • List account users
    • List departments
    • List hiring managers
    • List candidate grades
  1. Candidates

List candidates

GET
/candidates
List candidate profiles in your CVViZ account.

Filters#

job_id: limit results to candidates associated with one job.
status: filter by that job's candidate stage. Requires job_id.
updated_since: filter by the candidate profile's update time.
Stage codes come from GET /jobs/{jobId}/candidate-stages; they are not job lifecycle codes.

Permissions#

candidates.read

Pagination#

Use page and pageSize; see the query parameters below for defaults and limits. See Pagination & filtering for examples.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Successful response.
Headers

Bodyapplication/json

🟠400
🟠401
🟠403
🟠429
🔴503
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.cvviz.com/v1/candidates?page=&pageSize=&job_id=&status=&updated_since=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "data": [
        {
            "resume": {
                "fileName": "Asha_Sharma_Resume.pdf",
                "downloadUrl": "https://api.cvviz.com/v1/candidates/501/resume/download"
            },
            "currentCompany": "Example Company",
            "currentJobTitle": "Backend Engineer",
            "phoneCountryCode": "91",
            "professionalProfiles": {
                "linkedin": null,
                "github": null
            },
            "noticePeriod": {
                "value": 1,
                "unit": "M"
            },
            "id": 501,
            "originalJobId": 901,
            "jobContext": {
                "jobId": 901,
                "status": 3
            },
            "firstName": "Asha",
            "lastName": "Sharma",
            "email": "asha.sharma@example.com",
            "phone": "+919876543210",
            "source": "Career page",
            "experienceMonths": 48,
            "qualifications": [
                "Bachelor's degree"
            ],
            "skills": [
                "TypeScript",
                "Node.js",
                "MySQL"
            ],
            "currentLocation": {
                "city": "Pune",
                "state": "Maharashtra",
                "country": "India"
            },
            "createdAt": "2026-08-20T08:15:00.000Z",
            "updatedAt": "2026-08-30T15:20:00.000Z"
        }
    ],
    "meta": {
        "pagination": {
            "page": 1,
            "pageSize": 10,
            "totalItems": 1,
            "totalPages": 1
        }
    }
}
Previous
Update job status
Next
Get a candidate
Built with